13 Commits

Author SHA1 Message Date
Bel LaPointe
1a0b9143be mayhem-party to websockets and http over rusty-pipe 2023-04-09 12:01:40 -06:00
Bel LaPointe
ac55a08796 mayhem-party config to http ui 2023-04-09 11:55:42 -06:00
Bel LaPointe
3653f286f8 wip 2023-04-06 17:25:51 -06:00
bel
5a9dcac684 git pull 2023-04-05 22:46:55 -06:00
Bel LaPointe
86bd0d851d scripts 2023-04-05 22:46:22 -06:00
bel
55aae5a55f hotwords file and more mayhem-info.sh 2023-04-05 22:30:45 -06:00
bel
d559f5244f mayhem-party.sh things 2023-04-05 22:24:49 -06:00
bel
df2c5cb0ad ALMOST 2023-04-05 22:09:43 -06:00
bel
53cab7e43c rename configs 2023-04-05 21:06:11 -06:00
bel
5062abdfc7 update v01.yaml for 4 players 2023-04-05 21:02:11 -06:00
bel
d80b73a052 FRIENDSHIP 2023-04-05 20:49:45 -06:00
bel
5d70ac0002 upgrade 2023-04-05 20:48:39 -06:00
bel
c2d2cda761 readme 2023-04-02 12:55:00 -06:00
23 changed files with 189 additions and 82 deletions

View File

@@ -40,11 +40,3 @@ See `./config.d/rusty-pipe.d`
## Game Playing
Foreground
#### Discord
Yep
#### Dolphin
Yep

View File

@@ -0,0 +1,3 @@
#! /bin/bash
curl -sS http://mp.home.blapointe.com:17071/gm/rpc/elect

View File

@@ -1,8 +1,6 @@
export DEBUG=true
export MAIN_INTERVAL_DURATION=5ms
export RAW_UDP=17070
export PARSE_V01=true
cp ./config.d/mayhem-party.d/v01{"",-live}.yaml
export V01_CONFIG=./config.d/mayhem-party.d/v01-live.yaml
@@ -10,3 +8,7 @@ export V01_CONFIG=./config.d/mayhem-party.d/v01-live.yaml
export WRAP_REFRESH_ON_SIGUSR1=true
export OUTPUT_KEYBOARD=${OUTPUT_KEYBOARD:-false}
#export RAW_UDP=17070
export RAW_WS_PROXY_URL=http://localhost$(cat config.d/mayhem-party.d/v01-live.yaml | grep -A 10 feedback | grep addr: | awk '{print $NF}')
export RAW_WS=17072

View File

@@ -0,0 +1,7 @@
#! /bin/bash
curl \
-X POST \
-i -sS \
http://mp.home.blapointe.com:17071/gm/rpc/fillNonPlayerAliases \
-d "[$(cat ./hotwords.txt | tr '\n' ' ')]"

View File

@@ -0,0 +1,18 @@
mario
luigi
peach
daisy
wario
waluigi
bowser
junior
koopa
shyguy
boo
toad
toadette
coin
star
minigame
win
lose

View File

@@ -0,0 +1,7 @@
#! /bin/bash
set -e
bash ./shuffle.sh
bash ./fill.sh
bash ./players.sh

View File

@@ -0,0 +1,2 @@
#! /bin/bash
curl -sS -i http://mp.home.blapointe.com:17071/

View File

@@ -0,0 +1,3 @@
#! /bin/bash
curl -sS -i http://mp.home.blapointe.com:17071/gm/rpc/shuffle
bash ./players.sh

View File

@@ -1,42 +1,56 @@
feedback:
addr: :17071
ttsurl: http://localhost:15002
users:
bel:
meta:
lasttsms: 1680371007738
lastlag: 0
state:
player: 1
message: ""
gm:
alias: ""
lastalias: ""
vote: ""
zach:
meta:
lasttsms: 1679978514018
lastlag: 0
state:
player: 0
message: ""
gm:
alias: ""
lastalias: ""
vote: ""
users: {}
players:
- transformation:
"1": "6" # a
"2": "7" # b
"3": "8" # x
"4": "9" # y
"5": "0" # start
a: f # stickLeft
d: h # stickRight
e: "y" # r
q: r # l
s: g # stickDown
w: t # stickUp
"1": "1" # a
"2": "2" # b
"3": "3" # x
"4": "4" # y
"5": "5" # start
w: "6" # stickUp
a: "7" # stickLeft
s: "8" # stickDown
d: "9" # stickRight
e: "0" # r
q: "-" # l
- transformation:
"1": "q" # a
"2": "w" # b
"3": "e" # x
"4": "r" # y
"5": " " # "t" # start
w: "y" # stickUp
a: "u" # stickLeft
s: "i" # stickDown
d: "o" # stickRight
e: "p" # r
q: "=" # l
- transformation:
"1": "a" # a
"2": "s" # b
"3": "d" # x
"4": "f" # y
"5": " " # "g" # start
w: "h" # stickUp
a: "j" # stickLeft
s: "k" # stickDown
d: "l" # stickRight
e: ";" # r
q: "g" # l
- transformation:
"1": "z" # a
"2": "x" # b
"3": "c" # x
"4": "v" # y
"5": " " # "b" # start
w: "n" # stickUp
a: "m" # stickLeft
s: "," # stickDown
d: "." # stickRight
e: "/" # r
q: "b" # l
quiet: false
broadcast:
message: ""
message: "#early access"

View File

@@ -1,42 +1,56 @@
feedback:
addr: :17071
ttsurl: http://localhost:15002
users:
bel:
meta:
lasttsms: 1680371007738
lastlag: 0
state:
player: 1
message: ""
gm:
alias: ""
lastalias: ""
vote: ""
zach:
meta:
lasttsms: 1679978514018
lastlag: 0
state:
player: 0
message: ""
gm:
alias: ""
lastalias: ""
vote: ""
users: {}
players:
- transformation:
"1": "6" # a
"2": "7" # b
"3": "8" # x
"4": "9" # y
"5": "0" # start
a: f # stickLeft
d: h # stickRight
e: "y" # r
q: r # l
s: g # stickDown
w: t # stickUp
"1": "1" # a
"2": "2" # b
"3": "3" # x
"4": "4" # y
"5": "5" # start
w: "6" # stickUp
a: "7" # stickLeft
s: "8" # stickDown
d: "9" # stickRight
e: "0" # r
q: "-" # l
- transformation:
"1": "q" # a
"2": "w" # b
"3": "e" # x
"4": "r" # y
"5": " " # "t" # start
w: "y" # stickUp
a: "u" # stickLeft
s: "i" # stickDown
d: "o" # stickRight
e: "p" # r
q: "=" # l
- transformation:
"1": "a" # a
"2": "s" # b
"3": "d" # x
"4": "f" # y
"5": " " # "g" # start
w: "h" # stickUp
a: "j" # stickLeft
s: "k" # stickDown
d: "l" # stickRight
e: ";" # r
q: "g" # l
- transformation:
"1": "z" # a
"2": "x" # b
"3": "c" # x
"4": "v" # y
"5": " " # "b" # start
w: "n" # stickUp
a: "m" # stickLeft
s: "," # stickDown
d: "." # stickRight
e: "/" # r
q: "b" # l
quiet: false
broadcast:
message: ""
message: "#early access"

View File

@@ -22,6 +22,7 @@ streams:
b: '2'
x: '3'
y: '4'
start: '5'
output:
debug: false
engine:

View File

@@ -22,6 +22,7 @@ streams:
b: '2'
x: '3'
y: '4'
start: '5'
output:
debug: false
engine:

View File

@@ -22,6 +22,7 @@ streams:
b: '2'
x: '3'
y: '4'
start: '5'
output:
debug: false
engine:

View File

@@ -22,6 +22,7 @@ streams:
b: '2'
x: '3'
y: '4'
start: '5'
output:
debug: false
engine:

View File

@@ -22,6 +22,7 @@ streams:
b: '2'
x: '3'
y: '4'
start: '5'
output:
debug: false
engine:

View File

@@ -0,0 +1,16 @@
#! /bin/bash
echo source ./package.sh
set -e
cd ${based%/*}
tar_f=${based##*/}.tar
rm -f "$tar_f"
tar -cf "$tar_f" ${based##*/}
cleanup() { rm "$tar_f"; }
trap cleanup EXIT
scp_scratch.sh "$tar_f" squeaky2x3@192.168.0.86:/volume1/video/FTP/
ssh_scratch.sh ls /volume1/video/FTP/"$tar_f"

View File

@@ -0,0 +1,20 @@
#! /bin/bash
test -f ./rusty-pipe-signed.exe || exit 1
based=$(mktemp -d)
for f in ./*.yaml; do
d="$based/${f%.yaml}.d"
mkdir -p "$d"
cp "$f" "$d"/rusty-pipe.yaml
cp "$(realpath ./rusty-pipe-signed.exe)" "$d"/rusty-pipe-windows.exe
cp "$(realpath ./rusty-pipe-notwindows.bin)" "$d"/rusty-pipe-notwindows.bin
done
pushd "$based"
for d in ./*/; do
zip -r -7 ${d%/}.zip $d
rm -rf "$d"
done
popd
echo "$based"
du -sh "$based"/*

View File

@@ -22,6 +22,7 @@ streams:
b: '2'
x: '3'
y: '4'
start: '5'
output:
debug: false
engine:

View File

@@ -0,0 +1 @@
../../../rusty-pipe.d/target/release/rusty-pipe

View File

@@ -0,0 +1 @@
../../../rusty-pipe.d/target/x86_64-pc-windows-gnu/release/rusty-pipe-signed.exe

View File

@@ -22,6 +22,7 @@ streams:
b: '2'
x: '3'
y: '4'
start: '5'
output:
debug: false
engine: